from attrs import field, define
from attrs.validators import instance_of, deep_iterable
from src.data_classes.parameters_visualization import PlotParameters


@define
class SimpleScatterPlotParameters(PlotParameters):
    variable_x_axis: str = field(validator=instance_of(str))
    variable_y_axis: str = field(validator=instance_of(str))
